clear all; close all; clc

% Species: A, B
% Complexes: 2A, A+B, 2B
% Reactions: A+B->2A, A+B->2B

% stochiometric matrix
S = [ 1 -1; 
     -1  1];
 
% reaction substrates matrix
Sub = [1 1; 
       1 1];

% reaction rate constants
kappa = [1 1];

% initial state
X0 = [50; 50];

% time axis limit
T = 1;

% time discretization
dt = 1e-4;

% simulation algorithm
[t,X] = Gillespie(S,kappa,Sub,X0,T);
%[t,X] = NextReaction(S,kappa,Sub,X0,T);
%[t,X] = TauLeaping(S,kappa,Sub,dt,X0,T);

% plot
figure
stairs(t,X(1,:),'b'), hold on
stairs(t,X(2,:),'r')
legend('A','B')
