% Beta-Binomial distribution

% number of trials
n = 10;

% shape parameters
a = [3 1 0.2];
b = a;

% beta-binomial distribution
pdf = zeros(3,n+1);
for i = 1:length(a)
    for j = 0:n
        pdf(i,j+1) = nchoosek(n,j)*beta(j+a(i),n-j+b(i))/beta(a(i),b(i));
    end
end

% plot
figure
for i = 1:length(a)
    plot(0:n,pdf(i,:),'-*'), hold on
end
xlabel('i'), ylabel('\mu (i | n)')
str = sprintf('Beta-Binomial distribution for n = %d',n);
title(str)
